--- old/usr/src/uts/common/os/sig.c	2013-07-12 18:06:19.146764017 +0000
+++ new/usr/src/uts/common/os/sig.c	2013-07-12 18:06:19.155180571 +0000
@@ -2373,8 +2373,8 @@
 	return (0);
 }
 
-#ifndef	UCHAR_MAX
-#define	UCHAR_MAX	255
+#ifndef	INT_MAX
+#define	INT_MAX	2147483647
 #endif
 
 /*
@@ -2389,11 +2389,11 @@
 	sigqhdr_t *sqh;
 
 	i = (maxcount * size) + sizeof (sigqhdr_t);
-	ASSERT(maxcount <= UCHAR_MAX && i <= USHRT_MAX);
+	ASSERT(maxcount <= INT_MAX);
 	sqh = kmem_alloc(i, KM_SLEEP);
-	sqh->sqb_count = (uchar_t)maxcount;
-	sqh->sqb_maxcount = (uchar_t)maxcount;
-	sqh->sqb_size = (ushort_t)i;
+	sqh->sqb_count = maxcount;
+	sqh->sqb_maxcount = maxcount;
+	sqh->sqb_size = i;
 	sqh->sqb_pexited = 0;
 	sqh->sqb_sent = 0;
 	sqh->sqb_free = sq = (sigqueue_t *)(sqh + 1);
